package com.bjtdba.entity.merchant;

import java.math.BigDecimal;

public class Merchant {

    /**
     * 商户ID
     */
    private Integer mer_id;
    /**
     * 商户名称
     */
    private String mer_name;
    /**
     * 商户头像
     */
    private String mer_avatar;
    /**
     * 商品描述评分
     */
    private BigDecimal product_score;
    /**
     * 服务评分
     */
    private BigDecimal service_score;
    /**
     *物流评分
     */
    private BigDecimal postage_score;
    /**
     * 店铺电话
     */
    private String service_phone;

    /**
     * 关注总数   人气
     */
    private Integer care_count;

    /**
     * 关键字
     */
    private String mer_keyword;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 经度
     */
    private String lng;

    /**
     * 商品分类ID
     */
    private Integer category_id;

    /**
     *是否推荐
     */
    private String is_best;

    /**
     * 商户类型
     */
    private Integer merchant_type;

    /**
     * 销量
     */
    private Integer sales;

    /**
     * create_time
     *
     */
    private String create_time;

    private Integer uid;

    private String  trade_type;

    /**
     * 商户姓名
     */
    private String real_name;

    /**
     * 商户手机号
     */
    private String mer_phone;

    /**
     * 联系人
     */
    private String name;

    /**
     * 商户地址
     */
    private String mer_address;

    /**
     * 商户banner图
     */
    private String mer_banner;

    /**
     * 商户备注
     */
    private String mark;

    /**
     * 商铺简介
     */
    private String mer_info;

    /**
     * 后台管理员ID
     */
    private Integer reg_admin_id;
    /**
     *
     */
    private String addr;

    private String house_number;

    private String business_license;

    private String card_positive_person;

    private String card_back_person;
    /**
     * 开户行账号
     */
    private String bank_account;

    /**
     * 开户行所在地
     */
    private String bank_location;
    /**
     * 开户行
     */
    private String bank_deposit;

    /**
     * 开户许可证
     */
    private String open_account;
    /**
     * logo
     */
    private String logo;
    /**
     * 营业执照
     */
    private String business_addr;

    /**
     * 商户类型
     */
    private Integer type;
    /**
     * 省ID
     */
    private Integer province_id;
    /**
     * 市
     */
    private Integer city_id;

    private Integer area_id;

    private Integer street_id;

    private String sxy_submerchant_id;

    private String consumption_score = "0";

    private String email;

    /**
     * expire_time 店铺到期时间 int类型
     */
    private int expire_time;


    public int getExpire_time() {
        return expire_time;
    }

    public void setExpire_time(int expire_time) {
        this.expire_time = expire_time;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getMer_info() {
        return mer_info;
    }

    public void setMer_info(String mer_info) {
        this.mer_info = mer_info;
    }

    public Integer getMer_id() {
        return mer_id;
    }

    public void setMer_id(Integer mer_id) {
        this.mer_id = mer_id;
    }

    public String getMer_name() {
        return mer_name;
    }

    public void setMer_name(String mer_name) {
        this.mer_name = mer_name;
    }

    public String getMer_avatar() {
        return mer_avatar;
    }

    public void setMer_avatar(String mer_avatar) {
        this.mer_avatar = mer_avatar;
    }

    public BigDecimal getProduct_score() {
        return product_score;
    }

    public void setProduct_score(BigDecimal product_score) {
        this.product_score = product_score;
    }

    public BigDecimal getService_score() {
        return service_score;
    }

    public void setService_score(BigDecimal service_score) {
        this.service_score = service_score;
    }

    public BigDecimal getPostage_score() {
        return postage_score;
    }

    public void setPostage_score(BigDecimal postage_score) {
        this.postage_score = postage_score;
    }

    public String getService_phone() {
        return service_phone;
    }

    public void setService_phone(String service_phone) {
        this.service_phone = service_phone;
    }

    public Integer getCare_count() {
        return care_count;
    }

    public void setCare_count(Integer care_count) {
        this.care_count = care_count;
    }

    public String getMer_keyword() {
        return mer_keyword;
    }

    public void setMer_keyword(String mer_keyword) {
        this.mer_keyword = mer_keyword;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public Integer getCategory_id() {
        return category_id;
    }

    public void setCategory_id(Integer category_id) {
        this.category_id = category_id;
    }

    public String getIs_best() {
        return is_best;
    }

    public void setIs_best(String is_best) {
        this.is_best = is_best;
    }

    public Integer getMerchant_type() {
        return merchant_type;
    }

    public void setMerchant_type(Integer merchant_type) {
        this.merchant_type = merchant_type;
    }

    public Integer getSales() {
        return sales;
    }

    public void setSales(Integer sales) {
        this.sales = sales;
    }

    public String getCreate_time() {
        return create_time;
    }

    public void setCreate_time(String create_time) {
        this.create_time = create_time;
    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public String getTrade_type() {
        return trade_type;
    }

    public void setTrade_type(String trade_type) {
        this.trade_type = trade_type;
    }

    public String getReal_name() {
        return real_name;
    }

    public void setReal_name(String real_name) {
        this.real_name = real_name;
    }

    public String getMer_phone() {
        return mer_phone;
    }

    public void setMer_phone(String mer_phone) {
        this.mer_phone = mer_phone;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMer_address() {
        return mer_address;
    }

    public void setMer_address(String mer_address) {
        this.mer_address = mer_address;
    }

    public String getMer_banner() {
        return mer_banner;
    }

    public void setMer_banner(String mer_banner) {
        this.mer_banner = mer_banner;
    }

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public Integer getReg_admin_id() {
        return reg_admin_id;
    }

    public void setReg_admin_id(Integer reg_admin_id) {
        this.reg_admin_id = reg_admin_id;
    }

    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    public String getHouse_number() {
        return house_number;
    }

    public void setHouse_number(String house_number) {
        this.house_number = house_number;
    }

    public String getBusiness_license() {
        return business_license;
    }

    public void setBusiness_license(String business_license) {
        this.business_license = business_license;
    }

    public String getCard_positive_person() {
        return card_positive_person;
    }

    public void setCard_positive_person(String card_positive_person) {
        this.card_positive_person = card_positive_person;
    }

    public String getCard_back_person() {
        return card_back_person;
    }

    public void setCard_back_person(String card_back_person) {
        this.card_back_person = card_back_person;
    }

    public String getBank_account() {
        return bank_account;
    }

    public void setBank_account(String bank_account) {
        this.bank_account = bank_account;
    }

    public String getBank_location() {
        return bank_location;
    }

    public void setBank_location(String bank_location) {
        this.bank_location = bank_location;
    }

    public String getBank_deposit() {
        return bank_deposit;
    }

    public void setBank_deposit(String bank_deposit) {
        this.bank_deposit = bank_deposit;
    }

    public String getOpen_account() {
        return open_account;
    }

    public void setOpen_account(String open_account) {
        this.open_account = open_account;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getBusiness_addr() {
        return business_addr;
    }

    public void setBusiness_addr(String business_addr) {
        this.business_addr = business_addr;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getProvince_id() {
        return province_id;
    }

    public void setProvince_id(Integer province_id) {
        this.province_id = province_id;
    }

    public Integer getCity_id() {
        return city_id;
    }

    public void setCity_id(Integer city_id) {
        this.city_id = city_id;
    }

    public Integer getArea_id() {
        return area_id;
    }

    public void setArea_id(Integer area_id) {
        this.area_id = area_id;
    }

    public Integer getStreet_id() {
        return street_id;
    }

    public void setStreet_id(Integer street_id) {
        this.street_id = street_id;
    }

    public String getSxy_submerchant_id() {
        return sxy_submerchant_id;
    }

    public void setSxy_submerchant_id(String sxy_submerchant_id) {
        this.sxy_submerchant_id = sxy_submerchant_id;
    }

    public String getConsumption_score() {
        return consumption_score;
    }

    public void setConsumption_score(String consumption_score) {
        this.consumption_score = consumption_score;
    }
}
